Summary:	Keychain manages ssh-agent to minimise passphrase entry for ssh
Name:		keychain
Version:	2.7.1
Release:	9
License:	GPLv2+
Group:		Networking/Remote access
Url:		http://www.funtoo.org/en/security/%{name}/intro
Source0:	http://www.funtoo.org/archive/%{name}/%{name}-%{version}.tar.bz2
Source1:	%{name}.profile.sh
Source2:	%{name}.profile.csh
Patch0:		keychain-2.7.1-openssh68.patch
Requires:	gnupg2
Suggests:	openssh-askpass
Requires:	openssh-clients
BuildArch:	noarch

%description
Keychain is a manager for OpenSSH, ssh.com, Sun SSH and GnuPG agents.
It acts as a front-end to the agents, allowing you to easily have one
long-running agent process per system, rather than per login session.
This dramatically reduces the number of times you need to enter your
passphrase from once per new login session to once every time your
local machine is rebooted.

Run keychain once manually per user, after which keychain will run (quietly)
every time you log in (from a profile script).

Hint: If you get tired of keychain, delete ~/.keychain .

%files
%doc README.rst ChangeLog COPYING.txt keychain.pod keychain.txt
%{_bindir}/*
%{_sysconfdir}/profile.d/*
%{_mandir}/man1/%{name}*

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1

%build
%make

%install
install -d -m 755 %{buildroot}%{_bindir}
install -m 755 %{name} %{buildroot}%{_bindir}
install -d -m 755 %{buildroot}%{_sysconfdir}/profile.d
install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/profile.d/99%{name}.sh
install -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/profile.d/99%{name}.csh
install -d -m 755 %{buildroot}%{_mandir}/man1/
install -m 644 keychain.1 %{buildroot}%{_mandir}/man1/


%changelog

* Tue Sep 29 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2.7.1-9
- (ee82eb0) Add patch from upstream with OpenSSH 6.8+ support


